## ros-galactic-ros-ign-image 0.233.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_image)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(image_transport REQUIRED)
find_package(ros_ign_bridge REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

# Fortress
if("$ENV{IGNITION_VERSION}" STREQUAL "fortress")
  find_package(ignition-transport11 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

  find_package(ignition-msgs8 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Fortress")
# Default to Edifice
else()
  find_package(ignition-transport10 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
endif()

include_directories(include)

set(executable
  image_bridge
)

add_executable(${executable}
  src/image_bridge.cpp
)

target_link_libraries(${executable}
  ignition-msgs${IGN_MSGS_VER}::core
  ignition-transport${IGN_TRANSPORT_VER}::core
)

ament_target_dependencies(${executable}
  "image_transport"
  "ros_ign_bridge"
  "rclcpp"
  "sensor_msgs"
)

install(TARGETS ${executable}
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # find_package(rostest REQUIRED)
  #
  # set(test_publishers
  #   ign_publisher
  # )
  #
  # set(test_subscribers
  #   ros_subscriber
  # )
  #
  # foreach(test_publisher ${test_publishers})
  #   add_executable(${test_publisher}_image
  #     test/publishers/${test_publisher}.cpp
  #   )
  #   target_link_libraries(${test_publisher}_image
  #     ${catkin_LIBRARIES}
  #     ignition-msgs${IGN_MSGS_VER}::core
  #     ignition-transport${IGN_TRANSPORT_VER}::core
  #     gtest
  #     gtest_main
  #   )
  # endforeach(test_publisher)
  #
  # foreach(test_subscriber ${test_subscribers})
  #   add_rostest_gtest(test_${test_subscriber}_image
  #     test/${test_subscriber}.test
  #     test/subscribers/${test_subscriber}.cpp)
  #   target_link_libraries(test_${test_subscriber}_image
  #     ${catkin_LIBRARIES}
  #     ignition-msgs${IGN_MSGS_VER}::core
  #     ignition-transport${IGN_TRANSPORT_VER}::core
  #   )
  # endforeach(test_subscriber)
endif()

ament_package()

=== debian/changelog ===
ros-galactic-ros-ign-image (0.233.4-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 07 Feb 2022 06:00:00 -0000

ros-galactic-ros-ign-image (0.233.3-1focal) focal; urgency=high

  * Separate galactic branch from ros2 branch (#201 <https://github.com/osrf/ros_ign/issues/201>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/osrf/ros_ign/issues/199>)
  * Statically link each translation unit (#193 <https://github.com/osrf/ros_ign/issues/193>)
  * Contributors: Louise Poubel, Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 06:00:00 -0000

ros-galactic-ros-ign-image (0.233.2-1focal) focal; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/osrf/ros_ign/issues/164>)
  * Fix Deprecation Warning (#158 <https://github.com/osrf/ros_ign/issues/158>)
  * Contributors: David V. Lu!!, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 05:00:00 -0000

ros-galactic-ros-ign-image (0.233.1-1focal) focal; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/osrf/ros_ign/issues/150>)
  * Edifice support (#140 <https://github.com/osrf/ros_ign/issues/140>)
  * Update releases (#108 <https://github.com/osrf/ros_ign/issues/108>)
  * Add support for Dome (#103 <https://github.com/osrf/ros_ign/issues/103>)
  * Contributors: Louise Poubel, Luca Della Vedova

 -- Louise Poubel <louise@openrobotics.org>  Fri, 16 Apr 2021 05:00:00 -0000

ros-galactic-ros-ign-image (0.221.1-1focal) focal; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/osrf/ros_ign/issues/102>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-galactic-ros-ign-image (0.221.0-1focal) focal; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Add CI for Eloquent (#86 <https://github.com/osrf/ros_ign/issues/86>)
  * Avoid the use of --ros-args arguments outside ros (#84 <https://github.com/osrf/ros_ign/issues/84>)
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/osrf/ros_ign/issues/58>)
    Port ros_ign_image to ROS2
    Port ros_ign_gazebo_demos to ROS2
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/osrf/ros_ign/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-galactic-ros-ign-image (0.7.0-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 05:00:00 -0000

ros-galactic-ros-ign-image (0.6.3-1focal) focal; urgency=high

  * Merge pull request #36 <https://github.com/osrf/ros1_ign_bridge/issues/36> from osrf/restest_depen_image
    Missing rostest dependency in image package
  * Contributors: Jose Luis Rivero

 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 05:00:00 -0000

ros-galactic-ros-ign-image (0.6.2-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 05:00:00 -0000

ros-galactic-ros-ign-image (0.6.1-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 05:00:00 -0000

ros-galactic-ros-ign-image (0.6.0-1focal) focal; urgency=high

  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 05:00:00 -0000

=== debian/control ===
Source: ros-galactic-ros-ign-image
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs7-dev, libignition-transport10-dev, pkg-config, ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-image-transport, ros-galactic-rclcpp, ros-galactic-ros-ign-bridge, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ros-ign-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs7-dev, libignition-transport10-dev, ros-galactic-image-transport, ros-galactic-rclcpp, ros-galactic-ros-ign-bridge, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Description: Image utilities for Ignition simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ros-ign-image//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
